From 7609ee600dff8ed7b2f528f7ec15e167ee2b8d3b Mon Sep 17 00:00:00 2001
From: Brad Knotwell <b.knotwell@f5.com>
Date: Wed, 4 Apr 2018 13:19:32 +0200
Subject: [PATCH] ob-sed: Use -f instead of --file to support BSD sed

lisp/ob-sed.el (org-babel-execute:sed): Change file flag to "-f"
instead of "--file" to support BSD sed as well.

Signed-off-by: Bjarte Johansen <bjarte.johansen@gmail.com>
---
 lisp/ob-sed.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/ob-sed.el b/lisp/ob-sed.el
index b2c80f88c..ca8b7545f 100644
--- a/lisp/ob-sed.el
+++ b/lisp/ob-sed.el
@@ -4,7 +4,7 @@
 
 ;; Author: Bjarte Johansen
 ;; Keywords: literate programming, reproducible research
-;; Version: 0.1.0
+;; Version: 0.1.1
 
 ;; This file is part of GNU Emacs.
 
@@ -79,7 +79,7 @@ function is called by `org-babel-execute-src-block'."
          (cmd (mapconcat #'identity
 			 (remq nil
 			       (list org-babel-sed-command
-				     (format "--file=\"%s\"" code-file)
+				     (format "-f \"%s\"" code-file)
 				     cmd-line
 				     in-file))
 			 " ")))
-- 
2.15.1 (Apple Git-101)

